#1867 closed defect (fixed)

pthread_join with exited thread does not work

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: lj8175@… Blocked By:
Blocking:

Description

The current RTEMS implementation of pthread_exit() and pthread_join() do not support the case where a thread is joinable but calls pthread_exit() before a thread has attempted to join.

Attachments (1)

pr1867.diff (11.3 KB) - added by Joel Sherrill on Jul 30, 2011 at 5:45:56 PM.
Proposed patch and test case

Download all attachments as: .zip

Change History (4)

Changed on Jul 30, 2011 at 5:45:56 PM by Joel Sherrill

Attachment: pr1867.diff added

Proposed patch and test case

comment:1 Changed on Jul 31, 2011 at 1:23:28 AM by Jie Liu

Cc: Jie Liu added

comment:2 Changed on Jul 31, 2011 at 3:33:02 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch applied to all applicable branches. Closing.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.